<!-- HTML Structure -->
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Hyperlinks</title>
	</head>
	<body>

		<h2 id="top">HTML ATTRIBUTES</h2>

		<!-- The align attribute changes the alignment of the paragraph element -->
		<p align="center"><em>Modifiers of element behaviors.</em></p>

		<h2>HTML Images</h2>

		<!-- these are called HTML entities used to include special characters into text -->
		<!-- &lt; &gt; = lesser than greater than symbol -->
		<p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em></p>

		<!-- Adds an image using absolute linking -->
		<!-- src attribute accepts a url from an online source -->
		<img src="https://place-puppy.com/300x300">

		<p>
			<!-- used to define a piece of computer code and displays it using Monospace as its default font -->
			<code>&lt;img src="https://place-puppy.com/300x300"&gt;</code>
		</p>

		<!-- Adds an image using relative linking -->
		<img src="./ZuittCB_logo.jpg">

		<p>
			<code>&lt;img src="./ZuittCB_logo.jpg"&gt;</code>
		</p>

		<p>Valid image extensions are the following:</p>

		<!-- type attribute changes the numbered points of the ol element -->
		<!-- 1, a, A, i, I -->
		<ol type="a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<h2>HTML Links</h2>

		<h4>Absolute Links</h4>

		<!-- Creates a hyperlink element that redirects to a different page -->
		<a href="https://zuitt.co">I'm a hyperlink</a>

		<h4>Relative Links</h4>

		<!-- It redirects to the link.html file -->
		<p>Go to <a href="./link.html">link.html</a> page</p>

		<!-- Redirect to the HTML element with the top id attribute -->
		<p>Go to <a href="#top">top</a></p>

		<!--  -->
		<a href="https://place-puppy.com/">
			<img src="https://place-puppy.com/300x300">
		</a>

		<!-- target="_blank" opens a new tab -->
		<a href="https://zuitt.co" target="_blank">
			<img src="https://d3ojsfl21hfxhc.cloudfront.net/assets/zuitt/zuittlogo.png">
		</a>

		<p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp">here</a></p>

	</body>
</html>